Package org.eclipse.net4j.util.container

## Interface IContainer.Persistence<E>

- All Known Implementing Classes:
    `ContainerPersistence`, `FileContainerPersistence`
  Enclosing interface:
    IContainer<E>

      public static interface IContainer.Persistence<E>

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<E>` | `loadElements()` |
    `void` | `saveElements​(java.util.Collection<E> elements)` |

- - ### Method Detail

    - #### loadElements

          java.util.Collection<E> loadElements()
                                        throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### saveElements

          void saveElements​(java.util.Collection<E> elements)
                     throws IORuntimeException

      Throws:
        `IORuntimeException`